IBM WebSphere Process Server, and IBM WebSphere Enterprise Service Bus, Version 7.0.0, hardware and software requirements - Windows on x86-64

Product documentation


Abstract

This document lists the hardware and software requirements for: IBM WebSphere Process Server, and IBM WebSphere Enterprise Service Bus, Version 7.0.0, on the Windows operating system on x86-64 platforms.

Content

This page describes the minimum product levels that must be installed before opening a problem report with the WebSphere Process Server or WebSphere Enterprise Service Bus support team. Because other products frequently ship fixes, updates, and new releases, testing every configuration is not possible. In general, you can install and run with minor updates to supported products if those updates are forward compatible. For additional information on available support for configurations that are not included in the following list, refer to support article WebSphere Process Server and WebSphere Enterprise Service Bus has grown and so have your requirements. The Product Support and Technical Support for minor forward-compatible updates is covered in the section "Other Configurations".


Supporting software can run, but does not need to run, on the same computer or operating system where the product runs.
Installation
Supporting software in the Application Server and Java categories is part of the product install and must be installed on the same machine as the product.

Integration
Supporting Software in the following categories may be installed locally or on other systems providing this does not conflict with any licensing terms:

  • Databases
  • LDAP Servers
  • Web Servers
  • Web Browser
  • JMS Provider (Client must be installed locally)
  • Clients
  • Security
  • Business-to-business integration (except for IBM WebSphere Transformation Extender)
  • License use management
  • Service registries
  • Portal Servers

This document identifies supporting software that runs on the Windows operating system on x86-64 platforms.

Operating Systems
(supported with 64-bit WebSphere Application Server)
  • Windows Server 2003 R2, Datacenter 64 Edition, or SP2
  • Windows Server 2003 R2, Standard 64 Edition, or SP2
  • Windows Server 2003 R2, Enterprise 64 Edition, or SP2
  • Windows Server 2008 Datacenter Edition
  • Windows Server 2008 R2 Datacenter Edition Note: Supported from WebSphere Process Server / WebSphere Enterprise Service Bus 7.0.0 Fix Pack 2
  • Windows Server 2008 Standard Edition
  • Windows Server 2008 R2 Standard Edition Note: Supported from WebSphere Process Server / WebSphere Enterprise Service Bus 7.0.0 Fix Pack 2
  • Windows Server 2008 Enterprise Edition
  • Windows Server 2008 R2 Enterprise Edition Note: Supported from WebSphere Process Server / WebSphere Enterprise Service Bus 7.0.0 Fix Pack 2
Hardware Requirements
  • AMD Opteron or Intel EM64T (64 bit kernel support)
  • Minimum 1 GB physical memory; 2 GB recommended
  • DVD/CD-ROM drive
  • Disk space requirements
Application Server
  • IBM WebSphere Application Server Network Deployment 7.0.0 Fix Pack 7.
    IBM WebSphere Application Server product site
    Note: WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 3 requires WebSphere Application Server 7.0.0 Fix Pack 11 as a minimum
    Note: WebSphere Process Server 7.0.0 and WebSphere Enterprise Service Bus 7.0.0 Fix Packs are supported on all future IBM WebSphere Application Server Network Deployment 7.0.0 Fix Packs.
  • IBM WebSphere Application Server 7.0 Feature Pack for Service Component Architecture 1.0.1
    Note: WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 3 requires version 1.0.1 Fix Pack 7 as a minimum
  • IBM WebSphere Application Server 7.0 Feature Pack for XML 1.0.0
    Note: WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 3 requires version 1.0.0 Fix Pack 7 as a minimum
Java™
  • IBM Java SDK 6.0 SR6
    Note: The WebSphere-supplied Java SDK is required for both the runtime and any remote Java Clients.
    Note: WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 3 requires SR7 as a minimum
Databases
  • Apache Derby 10.3
  • IBM DB2 UDB for UNIX/Linux and Windows 8.2 FP6
    Note: Only Enterprise Server Edition and Workgroup Server Edition supported
  • IBM DB2 Enterprise Server Edition 9.1
  • IBM DB2 Workgroup Server Edition 9.1
  • IBM DB2 Enterprise Server Edition 9.5
  • IBM DB2 Workgroup Server Edition 9.5
    Note: Business Process Choreographer minimum requirement is DB2 9.5 Fix Pack 1
  • IBM DB2 Workgroup Server Edition 9.7
  • IBM DB2 Enterprise Server Edition for Linux, UNIX and Windows 9.7 IBM DB2 product site
  • IBM DB2 pureScale Feature for Enterprise Server Edition 9.8 Fix Pack 3
    Note:
    Supported from WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 2
  • IBM DB2 for i V5R4
  • IBM DB2 for i V6R1
    Note: Only supported for remote systems
  • IBM Informix Dynamic Server 10.00.xC6
  • IBM Informix Dynamic Server 11.10.xC1
  • IBM Informix Dynamic Server 11.50.xC1
    Notes:
    • Not supported for the reporting function in Business Process Choreographer
    • Not supported for the Business Space component.
    • Informix IDS 10.00.xC6 Query Table capability of Business Process Choreographer is not supported due to IDS SQL limitation of 'no support of sub-selects as part of the from-clause'.
  • Oracle 10g Enterprise Edition Release 1 - 10.1.0.4
  • Oracle 10g Standard Edition Release 1 - 10.1.0.4
  • Oracle 10g Enterprise Edition Release 2 - 10.2.0.2
  • Oracle 10g Standard Edition Release 2 - 10.2.0.2
  • Oracle 11g Enterprise Edition Release 1 - 11.1.0.6
  • Oracle 11g Standard Edition Release 1 - 11.1.0.6
    Oracle product site

    Note: Supports Oracle Real Application Cluster (RAC)
  • Microsoft SQL Server Enterprise 2005 SP2
  • Microsoft SQL Server Enterprise 2008 Microsoft SQL product site
  • Microsoft SQL Server Enterprise 2008 R2. Currency certification 1456174
    Note: Not supported for the reporting function in Business Process Choreographer
Java Database Connectivity (JDBC) Drivers
  • Derby 10.3 JDBC 3.0
  • Derby 10.3 JDBC 4.0
  • IBM DB2 Driver for JDBC and SQLJ 3.4.65 (type 2/4)
  • IBM DB2 Universal JDBC Provider 2.10.72 (type 2/4)
  • Data Direct Connect for JDBC 4.0 (type 4)
  • IBM Application Connectivity to DB2 for z/OS Feature
  • IBM Data Server Driver for JDBC and SQLJ 3.51 (type 3)
  • IBM Data Server for JDBC and SQLJ 4.1 (type 4)
    (Note: DB/2 for z/OS requires PK41236, PK89820)
  • IBM Informix JDBC Driver 3.00 JC3 (type 4)
  • IBM Informix JDBC Driver 3.10 JC1 (type 4)
  • IBM Informix JDBC Driver 3.50.JC5 (type 4)
    (Note: Required for Informix Dynamic server 11.50) IBM Informix JDBC product site
  • Oracle JDBC Driver 11g 11.1.0.6
  • Oracle JDBC Driver 11g 11.2.0.2
    (Note: Supported from WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 4) Oracle JDBC product site
  • Microsoft SQL Server 2005 JDBC Driver 1.2
  • Microsoft SQL JDBC Driver 2.0
    Note:
    Supported from WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 3
  • Microsoft SQL JDBC Driver 3.0
    Note:
    Supported from WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 3
LDAP servers
(required only to support optional functions)
  • WebSphere Process Server 7.0.0 and WebSphere Enterprise Service Bus 7.0.0 LDAP support is the same as specified for WebSphere Application Server 7.0.0
  • Note: The following products are not supported by the Business Space Component:
    • IBM Lotus Domino Enterprise Edition
    • Novell eDirectory
    • OpenLDAP
Web Servers
Web Browsers
  • Mozilla Firefox 3.0
  • Mozilla Firefox 3.5
    Note:
    Supported from WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 2
  • Mozilla Firefox 3.6
    Note:
    Supported from WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 3
  • Microsoft Internet Explorer 6.0 SP2
  • Microsoft Internet Explorer 7.0
  • Microsoft Internet Explorer 8.0
    Note:
    Supported from WebSphere Process Server and WebSphere Enterprise Service Bus V7.0.0 Fix Pack 2

Note: A Web browser is required for administration and configuration, sample program execution, and the launchpad. There is no restriction or certification of Web browsers on clients that connect to the server to display content.
JMS Provider
(required only to support optional functions)
  • IBM WebSphere MQ 6.0.2.5
Clients
(required only to support optional functions)
For WebSphere Process Server only:
  • IBM WebSphere Process Server Client 6.1.0
  • IBM WebSphere Process Server Client 6.1.2
  • IBM WebSphere Process Server Client 6.2.0
  • IBM WebSphere Process Server Client 7.0.0
    Note: The WebSphere Process Server Client can be installed on WebSphere Application Server and supported on the same set of platforms supported by WebSphere Process Server. Customer applications using or based on the WebSphere Process Client 6.x work against WebSphere Process Server 7.0.0.
Security(required only to support optional functions)
Resource Adapters
(required only to support optional functions)
  • IBM CICS Transaction Gateway 6.0
  • IBM CICS Transaction Gateway 7.0
  • IBM IMS TM Resource Adapter 10  
  • IBM IMS TM Resource Adapter 9.1.0.2  
Business-to-business integration
(required only to support optional functions)
Note: For WebSphere Process Server only
  • IBM WebSphere Partner Gateway Advanced Edition 6.2  
  • IBM WebSphere Partner Gateway Enterprise Edition 6.2 
License use management (required only to support optional functions)
  • IBM Tivoli License Compliance Manager 2.2  
Service Registries
(required only to support optional functions)
  • IBM WebSphere Service Registry and Repository 6.1
  • IBM WebSphere Service Registry and Repository 6.2
  • IBM WebSphere Service Registry and Repository 6.3
  • IBM WebSphere Service Registry and Repository 7.0
    IBM WebSphere Service Registry and Repository product site
    Notes:
    • To use WebSphere Process Server or WebSphere Enterprise Service Bus policy driven mediations the minimum support level is WebSphere Service Registry and Repository 6.2 FP2
    • Remote connections to earlier versions of WebSphere Service Registry and Repository are supported.
Virtualization
  • VMware ESX 4.0 and ESXi 4.0
  • VMware ESX 4.1 and ESXi 4.1
  • RHEV-H(KVM) on x86 for RHEL 5.5. Currency certification 1456176
Portal Servers

WebSphere Process Server Related information
WebSphere Process Server Support Page
WebSphere Process Server Information Center
Recommended fixes for WebSphere Process Server

WebSphere Enterprise Service Bus Related information
WebSphere Enterprise Service Bus Support Page
WebSphere Enterprise Service Bus Information Center
Recommended fixes for WebSphere Enterprise Service Bus

Cross reference information
Segment Product Component Platform Version Edition
Business Integration WebSphere Enterprise Service Bus General Windows 7.0

Rate this page:

(0 users)Average rating

Document information


More support for:

WebSphere Process Server
General

Software version:

7.0, 7.0.0.1, 7.0.0.2, 7.0.0.3, 7.0.0.4

Operating system(s):

Windows

Reference #:

7016267

Modified date:

2012-02-06

Translate my page

Machine Translation

Content navigation